GuidesAPI Reference
API Reference

Modify Geometries in Existing Layers - deprecated, use HERE Geofencing API

Modify geometries using an HTTP GET or POST request. After the response there is a delay of several seconds to compile, store and make the modified geometries available in the service. Note: The level (tile grid size) of the layer can only be changed by uploading the whole layer, not as a modification operation.

Note: The feature to modify custom layers is deprecated. It will be only supported in self-hosting in maintenance mode.

Query Params
string
required

Unique identifier for the layer in the format {app_id}.{mapName}.{layerName}. app_id: app_id of the project modifying the layer; mapName: the map into which the layer is uploaded, default = upload the layer into the app_id's default map; layerName: Name of layer to modify, the maximum length of a layer name and the permitted characters can be looked up up in the service via /serviceconfiguration.json.

string
required

append, update or delete. Geometries are identified by their geometry_id column value. For append, the geometries must not exist yet and will be added. For update, the geometries must exist and will be replaced. All column values must be specified, not only the changes. For update and delete, the columns must not change - names, sequence orders and type must be identical. For delete, the geometries must exist and will be replaced. Only the geometry_id column is required.

string
Defaults to "

Specify the quote character to use. Default = " (double quotes). Specifying NONE disables quotes.

string

Owner app_id that was used to upload a layer. It is mandatory when a granted app_id is used to access the layer.

file
required

WKT file content

string
Body Params
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json